From: "Nick Sarnie" <sarnex@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/shaderc/
Date: Wed, 17 May 2023 23:35:37 +0000 (UTC) [thread overview]
Message-ID: <1684366358.0edcf9a4ba084cc41d2c8516472c9fba9287a041.sarnex@gentoo> (raw)
commit: 0edcf9a4ba084cc41d2c8516472c9fba9287a041
Author: Nick Sarnie <sarnex <AT> gentoo <DOT> org>
AuthorDate: Wed May 17 23:29:19 2023 +0000
Commit: Nick Sarnie <sarnex <AT> gentoo <DOT> org>
CommitDate: Wed May 17 23:32:38 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0edcf9a4
media-libs/shaderc: add 2023.3
Signed-off-by: Nick Sarnie <sarnex <AT> gentoo.org>
media-libs/shaderc/Manifest | 1 +
media-libs/shaderc/shaderc-2023.3.ebuild | 79 ++++++++++++++++++++++++++++++++
2 files changed, 80 insertions(+)
diff --git a/media-libs/shaderc/Manifest b/media-libs/shaderc/Manifest
index 2009f082e939..459cb7a6b8a6 100644
--- a/media-libs/shaderc/Manifest
+++ b/media-libs/shaderc/Manifest
@@ -1,2 +1,3 @@
DIST shaderc-2022.3.tar.gz 223478 BLAKE2B 6b00677464a916618f0f204c650a89a3a74fcfd463a4e9476f16f8ff3f1079979da2e42f30dff93ddb1d509cb117c03e50508661f8de892157334ad0e477fd3c SHA512 a0ac3350defb89e39de79eba64a3648d24fd4d764be2df3193cabc1976d4a8f6bd8ebe296b02cc53788c8b74d66e8bcea3fe1266f7ad1c7e0e5a0d70ecb842ee
DIST shaderc-2023.2.tar.gz 222452 BLAKE2B e827a4b408fa70142896ca6c957d2569a364ca426a077ef75bd49999057d60c179ca2ba6374d1b73ff12f839b2c0ca94dcae4b466af4c6b2c6c22b11c151b113 SHA512 8d0c05ba766d2e102062233c02850fa42c19ebaac33a6aff31549a3b12c34f5c6e44ce2c368d9bcb28b09ba8bffbf398711ca61890d7745a716d016f17f9fb84
+DIST shaderc-2023.3.tar.gz 223292 BLAKE2B a9a29b4cef74b864b87af5700b830d1d193cf2cdb8ae6cafffc50c6130ac6e1bfb0a598ca30ecf1cfa06dd50144bdd421b7541a6fdb2965b8ee029ad749ea0fe SHA512 41e8a931ce47f42964c69c747aae96795d9791787deee411ce2e7053e2f426f1766a5aa42e8400fa9179c9428f11f3283a7b4c1dd20e7969963e6a00443549c1
diff --git a/media-libs/shaderc/shaderc-2023.3.ebuild b/media-libs/shaderc/shaderc-2023.3.ebuild
new file mode 100644
index 000000000000..2a78684ab0f1
--- /dev/null
+++ b/media-libs/shaderc/shaderc-2023.3.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+inherit cmake-multilib multibuild python-any-r1
+
+DESCRIPTION="Collection of tools, libraries and tests for shader compilation"
+HOMEPAGE="https://github.com/google/shaderc"
+EGIT_COMMIT="${PV}"
+SRC_URI="https://github.com/google/${PN}/archive/v${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${EGIT_COMMIT}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="doc"
+
+RDEPEND="
+ >=dev-util/glslang-1.3.246:=[${MULTILIB_USEDEP}]
+ >=dev-util/spirv-tools-1.3.246[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ >=dev-util/spirv-headers-1.3.246"
+
+BDEPEND="doc? ( dev-ruby/asciidoctor )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2020.4-fix-build.patch
+)
+
+# https://github.com/google/shaderc/issues/470
+RESTRICT=test
+
+src_prepare() {
+ cmake_comment_add_subdirectory examples
+
+ # Unbundle glslang, spirv-headers, spirv-tools
+ cmake_comment_add_subdirectory third_party
+ sed -i \
+ -e "s|\$<TARGET_FILE:spirv-dis>|${EPREFIX}/usr/bin/spirv-dis|" \
+ glslc/test/CMakeLists.txt || die
+
+ # Disable git versioning
+ sed -i -e '/build-version/d' glslc/CMakeLists.txt || die
+
+ # Manually create build-version.inc as we disabled git versioning
+ cat <<- EOF > glslc/src/build-version.inc || die
+ "${P}\n"
+ "$(best_version dev-util/spirv-tools)\n"
+ "$(best_version dev-util/glslang)\n"
+ EOF
+
+ cmake_src_prepare
+}
+
+multilib_src_configure() {
+ local mycmakeargs=(
+ -DSHADERC_SKIP_TESTS="true"
+ -DSHADERC_ENABLE_WERROR_COMPILE="false"
+ )
+ cmake_src_configure
+}
+
+multilib_src_compile() {
+ if multilib_is_native_abi && use doc; then
+ cmake_src_compile glslc_doc_README
+ fi
+ cmake_src_compile
+}
+
+multilib_src_install() {
+ if multilib_is_native_abi; then
+ use doc && local HTML_DOCS=( "${BUILD_DIR}/glslc/README.html" )
+ fi
+ cmake_src_install
+}
next reply other threads:[~2023-05-17 23:35 UTC|newest]
Thread overview: 140+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-05-17 23:35 Nick Sarnie [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-18 15:30 [gentoo-commits] repo/gentoo:master commit in: media-libs/shaderc/ Matt Turner
2025-02-28 15:32 Matt Turner
2025-02-28 7:28 Arthur Zamarin
2025-02-24 10:40 Arthur Zamarin
2025-02-23 23:10 Jakov Smolić
2025-02-23 21:59 Sam James
2025-02-23 21:59 Sam James
2025-02-22 0:44 Sam James
2025-02-22 0:29 Sam James
2025-02-04 14:17 Sam James
2025-01-18 19:34 Nick Sarnie
2024-12-03 8:08 Sam James
2024-12-03 8:03 Sam James
2024-12-03 8:03 Sam James
2024-11-22 10:20 Sam James
2024-11-21 9:07 Sam James
2024-11-21 9:07 Sam James
2024-10-18 8:28 Nick Sarnie
2024-10-02 18:06 Matt Turner
2024-09-17 3:39 Matt Turner
2024-09-13 4:13 Sam James
2024-09-04 4:54 Sam James
2024-08-06 16:10 Nick Sarnie
2024-07-11 15:41 Matt Turner
2024-06-16 8:03 Sam James
2024-06-16 8:03 Sam James
2024-06-16 4:58 Sam James
2024-05-16 17:18 Matt Turner
2024-05-16 14:53 Matt Turner
2024-05-04 1:32 Sam James
2024-05-04 0:25 Sam James
2024-05-04 0:25 Sam James
2024-04-03 2:59 Matt Turner
2024-03-03 17:08 Matt Turner
2024-02-17 21:17 Sam James
2024-02-16 1:26 Sam James
2024-02-15 19:26 Jakov Smolić
2024-01-18 0:33 Nick Sarnie
2024-01-18 0:33 Nick Sarnie
2023-12-17 19:22 Arthur Zamarin
2023-12-17 17:46 Arthur Zamarin
2023-12-17 17:32 Arthur Zamarin
2023-11-10 18:31 Nick Sarnie
2023-11-10 18:31 Nick Sarnie
2023-11-09 22:57 Nick Sarnie
2023-10-13 9:45 Sam James
2023-10-13 9:45 Sam James
2023-10-13 9:45 Sam James
2023-10-10 1:10 WANG Xuerui
2023-08-30 0:33 Nick Sarnie
2023-08-20 21:27 Marek Szuba
2023-08-01 22:19 Nick Sarnie
2023-07-24 20:33 Jakov Smolić
2023-07-24 20:33 Jakov Smolić
2023-07-24 18:54 Arthur Zamarin
2023-06-26 6:27 Jakov Smolić
2023-06-26 6:27 Jakov Smolić
2023-06-26 0:18 Sam James
2023-06-12 1:26 Nick Sarnie
2023-06-12 1:24 Nick Sarnie
2023-03-03 18:55 Arthur Zamarin
2023-03-03 18:07 Arthur Zamarin
2023-02-08 0:49 Nick Sarnie
2023-02-04 17:07 Nick Sarnie
2022-12-23 14:36 Michał Górny
2022-12-04 23:40 Sam James
2022-12-04 22:49 Sam James
2022-12-04 22:43 Sam James
2022-11-08 23:57 Nick Sarnie
2022-10-29 20:31 Nick Sarnie
2022-10-29 20:31 Nick Sarnie
2022-10-15 15:01 Sam James
2022-10-13 6:56 Agostino Sarubbo
2022-10-12 23:58 Sam James
2022-09-02 1:15 Nick Sarnie
2022-08-18 7:58 Andreas Sturmlechner
2022-08-17 7:09 Agostino Sarubbo
2022-08-17 7:06 Agostino Sarubbo
2022-08-16 7:47 Agostino Sarubbo
2022-08-15 16:43 Andreas Sturmlechner
2022-07-19 13:49 Nick Sarnie
2022-06-12 19:36 Matt Turner
2022-06-01 14:20 Jakov Smolić
2022-06-01 14:20 Jakov Smolić
2022-06-01 14:18 Jakov Smolić
2022-05-29 15:41 Matt Turner
2022-04-24 6:34 Agostino Sarubbo
2022-04-24 6:30 Agostino Sarubbo
2022-04-22 17:41 Arthur Zamarin
2022-04-19 22:40 Nick Sarnie
2022-02-20 2:09 Nick Sarnie
2021-12-25 15:06 Nick Sarnie
2021-12-25 1:26 Sam James
2021-12-25 1:26 Sam James
2021-12-25 1:22 Sam James
2021-12-23 14:29 Nick Sarnie
2021-12-05 16:16 Nick Sarnie
2021-11-29 23:12 Nick Sarnie
2021-11-13 19:50 Sam James
2021-11-12 22:13 Jakov Smolić
2021-11-12 22:13 Jakov Smolić
2021-09-05 2:05 Nick Sarnie
2021-08-05 14:13 Sam James
2021-08-05 14:08 Sam James
2021-05-27 2:33 Nick Sarnie
2021-05-11 19:24 Sam James
2021-05-06 23:31 Sam James
2021-05-06 22:21 Sam James
2021-05-06 10:09 Sam James
2021-03-28 0:37 Nick Sarnie
2021-02-17 0:59 Sam James
2021-01-24 21:52 Sam James
2021-01-24 19:31 Sam James
2020-12-17 2:40 Nick Sarnie
2020-12-16 19:50 Sam James
2020-12-06 17:10 Thomas Deutschmann
2020-11-07 17:33 Nick Sarnie
2020-11-07 17:10 Nick Sarnie
2020-11-03 2:36 Sam James
2020-10-26 13:34 Nick Sarnie
2020-10-25 23:08 Thomas Deutschmann
2020-07-26 23:06 Nick Sarnie
2020-07-26 23:02 Nick Sarnie
2020-06-17 23:33 Nick Sarnie
2020-06-15 21:05 Matt Turner
2020-04-19 2:35 Craig Andrews
2020-04-05 16:23 Nick Sarnie
2020-02-27 4:05 Georgy Yakovlev
2020-01-05 19:43 Agostino Sarubbo
2020-01-05 18:45 Agostino Sarubbo
2019-10-29 2:19 Nick Sarnie
2019-10-22 22:34 Nick Sarnie
2019-10-22 22:34 Nick Sarnie
2019-10-22 3:17 Nick Sarnie
2019-10-06 17:56 Pacho Ramos
2019-10-02 19:08 Agostino Sarubbo
2019-10-02 18:53 Agostino Sarubbo
2018-12-19 2:57 Georgy Yakovlev
2018-12-19 2:57 Georgy Yakovlev
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1684366358.0edcf9a4ba084cc41d2c8516472c9fba9287a041.sarnex@gentoo \
--to=sarnex@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox